Bug 1933727 - User with edit users cannot deploy images from their own namespace from the developer perspective - 4.6
Summary: User with edit users cannot deploy images from their own namespace from the d...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Dev Console
Version: 4.6
Hardware: All
OS: All
high
high
Target Milestone: ---
: 4.6.z
Assignee: Karthik Jeeyar
QA Contact: spathak@redhat.com
Harsh Mishra
URL:
Whiteboard:
Depends On: 1894020
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-03-01 15:04 UTC by Karthik Jeeyar
Modified: 2021-04-22 10:21 UTC (History)
16 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Previously, the user was denied access to pull images from other projects due to insufficient user permissions. This bug fix removes all the user interface checks for role bindings and shows the `oc` command alert to help users use the command line. With this bug fix, the user is no longer blocked from creating images from different namespaces and is now able to deploy images from other projects.
Clone Of: 1894020
Environment:
Last Closed: 2021-03-16 23:22:17 UTC
Target Upstream Version:


Attachments (Terms of Use)
User with edit users can deploy images from their own namespace from the developer perspective - 4.6 (66.66 KB, image/png)
2021-03-04 08:42 UTC, spathak@redhat.com
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 8267 0 None open Bug 1933727: fix Internal registry deploy flow 2021-03-01 15:05:53 UTC
Red Hat Product Errata RHBA-2021:0753 0 None None None 2021-03-16 23:22:28 UTC

Comment 3 spathak@redhat.com 2021-03-04 08:42:14 UTC
Created attachment 1760631 [details]
User with edit users can deploy images from their own namespace from the developer perspective - 4.6

Comment 4 spathak@redhat.com 2021-03-04 08:43:00 UTC
Verified on build version: 4.6.0-0.nightly-2021-03-04-040959
Browser version: Chrome 84

Comment 7 errata-xmlrpc 2021-03-16 23:22:17 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.6.21 bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2021:0753


Note You need to log in before you can comment on or make changes to this bug.